package cn.ftebox.entity;


import java.util.Date;

public class Comment {

  /** 主键 */
  private Integer id;

  /** 用户ip */
  private String userIp;

  /** 博客id */
  private Blog blog;

  /** 内容 */
  private String content;

  /** 评论时间 */
  private Date commentDate;

  /** 审核状态 */
  private Integer state;

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public String getUserIp() {
    return userIp;
  }

  public void setUserIp(String userIp) {
    this.userIp = userIp;
  }

  public Blog getBlog() {
    return blog;
  }

  public void setBlog(Blog blog) {
    this.blog = blog;
  }

  public String getContent() {
    return content;
  }

  public void setContent(String content) {
    this.content = content;
  }

  public Date getCommentDate() {
    return commentDate;
  }

  public void setCommentDate(Date commentDate) {
    this.commentDate = commentDate;
  }

  public Integer getState() {
    return state;
  }

  public void setState(Integer state) {
    this.state = state;
  }
}
